Bug 1413379 - [RFE] Add checkbox to pick targets per lun once editing/adding an iSCSI storage domain
Summary: [RFE] Add checkbox to pick targets per lun once editing/adding an iSCSI stora...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.4.9
: ---
Assignee: Eyal Shenitzky
QA Contact: Avihai
URL:
Whiteboard:
Depends On:
Blocks: 1387083
TreeView+ depends on / blocked
 
Reported: 2017-01-15 15:01 UTC by Maor
Modified: 2021-05-03 12:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-27 13:54:35 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
UX Suggestion (50.95 KB, image/png)
2017-01-15 15:11 UTC, Maor
no flags Details
iSCSI targets - UX suggested solution (51.08 KB, image/png)
2017-01-15 15:14 UTC, Maor
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1172354 0 high CLOSED [RFE] - Add multipath for LUNs 2021-04-23 12:58:19 UTC
Red Hat Bugzilla 1510389 0 unspecified CLOSED Cannot login to multiple target IP in import storage domain window for iSCSI storage domain 2021-03-11 18:00:48 UTC
Red Hat Knowledge Base (Solution) 3215831 0 None None None 2020-10-05 16:58:46 UTC

Internal Links: 1510389

Description Maor 2017-01-15 15:01:29 UTC
Description of problem:
On an iSCSI storage domain a lun can be connected through multiple targets, each target from a different IP.
Today, once we add an iSCSI storage domain all the targets that were connected from the host will be used part of the storage domain definition in the DB (storage_server_connections table).

The user should have the ability to choose the targets that he/she desire to use for that LUN, same it is being done today for LUNs

We should add checkboxes for each target of each LUN.
Once the user will connect to another target which is being used by the same LUN the user will hace the ability to choose to connect from both targets of only one of them.

IMHO connected targets should not be disconnected for an existing storage domain so those should be marged as greyed out.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create an iSCSI storage domain with once connected target and one LUN
2. Edit the iSCSI storage and try to connect to another target which is used for the same LUN
3.

Actual results:
The host is connected to this new target although the storage domain is only configured in the engine with one target

Expected results:
The user should be able to choose which target to be used for his/her storage domain.

Additional info:

Comment 1 Maor 2017-01-15 15:11:21 UTC
Created attachment 1240945 [details]
UX Suggestion

Comment 2 Maor 2017-01-15 15:14:19 UTC
Created attachment 1240946 [details]
iSCSI targets - UX suggested solution

Comment 3 Doron Fediuck 2018-05-27 13:54:35 UTC
Closing old RFEs.
If relevant, please re-open and explain why.
As always- patches are welcomed!

Comment 4 Yaniv Lavi 2018-09-05 09:33:26 UTC
This is blocking bug #1387083, which affects storage HA.

Comment 5 RHEL Program Management 2019-12-29 12:48:27 UTC
This request has been proposed for two releases. This is invalid flag usage. The ovirt-future release flag has been cleared. If you wish to change the release flag, you must clear one release flag and then set the other release flag to ?.

Comment 6 Marina Kalinin 2020-10-05 19:15:07 UTC
Switching the RFE to downstream since, it has lots of customer interest.

Comment 7 Marina Kalinin 2020-10-05 20:05:57 UTC
Going through customer cases, there is another one, that points to another related bz#1172354.


Note You need to log in before you can comment on or make changes to this bug.